deaths: Get today's notable deaths

API: dayinhistory.dev:day-in-history-api
Endpoint: /today/deaths
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 1025ms

Description

Returns notable people who died on today's date throughout history. Similar to births, each entry includes name, death year, description of their life/work, and Wikipedia links. Useful for memorial content or historical retrospectives.

From spec: Returns a paginated list of notable people who died on today's date.

Usage Tips

- Death years can be negative for ancient historical figures - Combines well with /today/events and /today/births for comprehensive daily content - Some entries may be missing descriptions

Parameters (1)

page (integer, query, optional, default: 1)

Page number for pagination (starting from 1)

Constraints: {'minimum': 1}

Examples (2)

Get today's notable deaths (first page) curl

Fetch today's notable deaths

curl 'https://api.dayinhistory.dev/v1/today/deaths'
import requests

resp = requests.get("https://api.dayinhistory.dev/v1/today/deaths")
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("today/deaths")

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/today/deaths");
const data = await resp.json();
Get today's notable deaths (page 2) curl

Fetch today's notable deaths

curl 'https://api.dayinhistory.dev/v1/today/deaths?page=2'
import requests

resp = requests.get(
    "https://api.dayinhistory.dev/v1/today/deaths",
    params={
        'page': '2',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("today/deaths", page=2)

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/today/deaths?page=2");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:50:31.973080 200 1025ms
2026-04-16 02:14:17.199566 200 1011ms
2026-04-16 01:10:18.718725 200 910ms
2026-04-15 02:01:14.781116 200 928ms
2026-04-15 00:16:41.497598 200 1098ms
2026-04-14 03:24:21.293358 200 1321ms
2026-04-14 02:09:21.576483 200 992ms
2026-04-12 13:53:40.912033 200 1036ms
2026-04-12 13:00:45.244041 200 864ms
2026-04-10 04:28:57.222310 200 1253ms
2026-04-10 01:01:55.348754 200 753ms
2026-04-09 02:33:08.228791 200 849ms
2026-04-09 02:04:08.419280 200 914ms
2026-04-08 07:45:16.129211 200 920ms
2026-04-08 00:30:16.883732 200 866ms
2026-04-07 01:26:43.581882 200 1022ms
2026-04-07 01:25:41.279714 200 912ms
2026-04-06 06:19:52.937450 200 932ms
2026-04-06 04:01:16.738724 200 1130ms
2026-04-05 14:55:31.349214 200 864ms
2026-04-05 14:05:02.584324 200 1213ms
2026-04-05 00:53:38.883944 200 806ms
2026-04-05 00:40:41.003678 200 800ms
2026-04-04 03:23:46.922941 200 845ms
2026-04-04 02:03:14.811673 200 797ms
2026-04-03 12:45:20.979292 200 996ms
2026-04-03 12:42:37.115866 200 1214ms
2026-03-30 02:22:32.473942 200 752ms
2026-03-30 02:03:35.494261 200 735ms
2026-03-29 13:24:24.580334 200 872ms
2026-03-29 12:57:49.768804 200 714ms
2026-03-23 10:45:23.682642 200 2380ms
2026-03-23 09:14:55.113328 200 844ms